Description

knu 00

http:/d.hatena.ne.jp/nagachika/20120521#r35737

00000000000syslog#inspect [ rb_define_module_function 000000000000
rb_define_singleton_method 0ooooooooooooo

000000000000 include 0DOODD inspect 0O0DOD

$ ruby -rsyslog -e 'class A; include Syslog; end; p A.new'
-e:1:in inspect': wrong argument type A (expected Module) (TypeError) from -e:1:in p
from -e:1:in '

r35737 0000000 secv 000000DO0DODOODOODOODO

Yusuke Endoh mame@tsg.ne.jp

Associated revisions

Revision e38972354acc3b3195b0bb639cce305cd2f97b0c - 02/19/2013 04:13 AM - Akinori MUSHA

Remove Syslog#inspect and have only Syslog.inspect.

e ext/syslog/syslog.c (Init_syslog): Define inspect as a singleton
method and remove it as an instance method. [Bug #6502]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39316 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision €3897235 - 02/19/2013 04:13 AM - Akinori MUSHA
Remove Syslog#inspect and have only Syslog.inspect.

e ext/syslog/syslog.c (Init_syslog): Define inspect as a singleton
method and remove it as an instance method. [Bug #6502]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39316 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/18/2013 01:22 PM - knu (Akinori MUSHA)
- Target version changed from 2.0.0 to 2.1.0

000syslog0O000000000000O0O000DODD
000syslog0O00000000000000002.1.000000000

#2 - 02/19/2013 01:14 PM - knu (Akinori MUSHA)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r39316.
Yusuke, thank you for reporting this issue.

06/14/2025

1/2



http://d.hatena.ne.jp/nagachika/20120521#r35737
mailto:mame@tsg.ne.jp

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

Remove Syslog#inspect and have only Syslog.inspect.

e ext/syslog/syslog.c (Init_syslog): Define inspect as a singleton
method and remove it as an instance method. [Bug #6502]
